com.informix.jdbc

## Interface ResultSet2

All Superinterfaces:
  java.lang.AutoCloseable, java.sql.ResultSet, java.sql.Wrapper

All Known Implementing Classes:
  IfxClientResultSet, IfxResultSet, IfxScrollableResultSet

Deprecated.

    @Deprecated
    public interface ResultSet2
    extends java.sql.ResultSet

All of these properties are correctly defined already in java.sql.resultSet. As such no one should use this interface. It might be removed in a later release

### Field Summary

Fields
`static int` `CLOSE_CURSORS_AT_COMMIT` Deprecated.
`static int` `CONCUR_READ_ONLY` Deprecated.
`static int` `CONCUR_UPDATABLE` Deprecated.
`static int` `FETCH_FORWARD` Deprecated.
`static int` `FETCH_REVERSE` Deprecated.
`static int` `FETCH_UNKNOWN` Deprecated.
`static int` `HOLD_CURSORS_OVER_COMMIT` Deprecated.
`static int` `TYPE_FORWARD_ONLY` Deprecated.
`static int` `TYPE_SCROLL_INSENSITIVE` Deprecated.
`static int` `TYPE_SCROLL_SENSITIVE` Deprecated.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`java.sql.Blob` `getBlob(int col)` Deprecated.
`java.sql.Blob` `getBlob(java.lang.String colName)` Deprecated.
`java.sql.Clob` `getClob(int col)` Deprecated.
`java.sql.Clob` `getClob(java.lang.String colName)` Deprecated.

### Methods inherited from interface java.sql.ResultSet

`absolute, afterLast, beforeFirst, cancelRowUpdates, clearWarnings, close, deleteRow, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getHoldability, getInt, getInt, getLong, getLong, getMetaData, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getRowId, getRowId, getShort, getShort, getSQLXML, getSQLXML, getStatement, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insertRow, isAfterLast, isBeforeFirst, isClosed, isFirst, isLast, last, moveToCurrentRow, moveToInsertRow, next, previous, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Field Detail

#### FETCH_FORWARD

    static final int FETCH_FORWARD

Deprecated.

See Also:
  Constant Field Values

#### FETCH_REVERSE

    static final int FETCH_REVERSE

Deprecated.

See Also:
  Constant Field Values

#### FETCH_UNKNOWN

    static final int FETCH_UNKNOWN

Deprecated.

See Also:
  Constant Field Values

#### TYPE_FORWARD_ONLY

    static final int TYPE_FORWARD_ONLY

Deprecated.

See Also:
  Constant Field Values

#### TYPE_SCROLL_INSENSITIVE

    static final int TYPE_SCROLL_INSENSITIVE

Deprecated.

See Also:
  Constant Field Values

#### TYPE_SCROLL_SENSITIVE

    static final int TYPE_SCROLL_SENSITIVE

Deprecated.

See Also:
  Constant Field Values

#### CONCUR_READ_ONLY

    static final int CONCUR_READ_ONLY

Deprecated.

See Also:
  Constant Field Values

#### CONCUR_UPDATABLE

    static final int CONCUR_UPDATABLE

Deprecated.

See Also:
  Constant Field Values

#### HOLD_CURSORS_OVER_COMMIT

    static final int HOLD_CURSORS_OVER_COMMIT

Deprecated.

See Also:
  Constant Field Values

#### CLOSE_CURSORS_AT_COMMIT

    static final int CLOSE_CURSORS_AT_COMMIT

Deprecated.

See Also:
  Constant Field Values

### Method Detail

#### getBlob

    java.sql.Blob getBlob(java.lang.String colName)
                   throws java.sql.SQLException

Deprecated.

Specified by:
  `getBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getClob

    java.sql.Clob getClob(java.lang.String colName)
                   throws java.sql.SQLException

Deprecated.

Specified by:
  `getClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBlob

    java.sql.Blob getBlob(int col)
                   throws java.sql.SQLException

Deprecated.

Specified by:
  `getBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getClob

    java.sql.Clob getClob(int col)
                   throws java.sql.SQLException

Deprecated.

Specified by:
  `getClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`